# Copyright (c) 2016, Oracle and/or its affiliates. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

--- ./src/lib/arch/unix/ArchPluginUnix.cpp.orig	Tue Mar 15 12:03:49 2016
+++ ./src/lib/arch/unix/ArchPluginUnix.cpp	Wed Jul 27 11:22:25 2016
@@ -48,6 +48,19 @@
 void
 ArchPluginUnix::load()
 {
+#if __sun
+#define LIBNS "/usr/lib/synergy/plugins/libns.so"
+
+               LOG((CLOG_DEBUG "loading plugin: %s", LIBNS));
+               void* handle = dlopen(LIBNS, RTLD_LAZY);
+               if (handle == NULL) {
+                       LOG((CLOG_ERR "failed to load plugin '%s', error: %s",
+                               LIBNS, dlerror()));
+                       return;
+               }
+               LOG((CLOG_DEBUG "plugin loaded: %s",
+                       LIBNS));
+#else
 	String pluginsDir = getPluginsDir();
 	LOG((CLOG_DEBUG "plugins dir: %s", pluginsDir.c_str()));
 
@@ -108,6 +121,7 @@
 
 		m_pluginTable.insert(std::make_pair(name, handle));
 	}
+#endif /* __sun */
 }
 
 void
